package com.lovecoding.day11.homework;

public class Architect extends Designer{

    private int stock;

    public Architect() {

    }

    public Architect(int id, String name, int age, double salary, double bonus, int stock) {
        super(id, name, age, salary, bonus);
        this.stock = stock;
    }

    public int getStock() {
        return stock;
    }

    public void setStock(int stock) {
        this.stock = stock;
    }

    @Override
    public String toString() {
        return "编号=" + this.getId() +", " +
                "姓名='" + this.getId()  +", " +
                "年龄=" + this.getAge() +", " +
                "薪资=" + getSalary() +
                "设计师 , " +
                "奖金=" + getBonus() +
                "股票=" + getStock()  ;
    }
}
